// For Unit 7: the Recommend Button Web Share API and it's fallback code was taken from the links below:
//             https://www.youtube.com/watch?v=OouXSXHXitY
//             https://www.youtube.com/watch?v=MjB1Nyx6hns
//             The HTML, CSS and Javascript code for the Recommend Button Web Share API and it's fallback code have been taken from the above links.
//             These links have also been cited properly in the references folder. 
//             The code to create custom social share components for the fallback option was taken from:
//             https://github.com/ellisonleao/sharer.js
//             The above js library has no dependencies

const share = document.querySelector('button');
const fallback = document.querySelector('.fallback');
const recommend = document.querySelector('.recommend');
const title = window.document.title;
const url = window.document.location.href;
share.addEventListener('click', event => {
    if (navigator.share) {
        navigator.share({
            text: 'Check out this amazing Bike website: ',
            url: 'http://student.athabascau.ca/~harsheenso/Comp266/Unit7/'
        })

            .catch((err) => console.error(err));
    } else {
        fallback.classList.add('show-recommend');
        recommend.classList.add('show-recommend');

    }

});
fallback.addEventListener('click', () => {
    fallback.classList.remove('show-recommend');
    recommend.classList.remove('show-recommend');
});